ldns_struct_lookup_table Struct Reference

A general purpose lookup table. More...

`#include <util.h>`

## Data Fields

int | id
const char * | name

## Detailed Description

A general purpose lookup table.

Lookup tables are arrays of (id, name) pairs, So you can for instance lookup the RCODE 3, which is "NXDOMAIN", and vice versa. The lookup tables themselves are defined wherever needed, for instance in host2str.c

Definition at line 156 of file util.h.

## Field Documentation

## id

int ldns_struct_lookup_table::id

Definition at line 157 of file util.h.

## name

const char* ldns_struct_lookup_table::name

Definition at line 158 of file util.h.